## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jsonschema-path
%global modname jsonschema_path

Name:           python-%{srcname}
Version:        0.3.4
Release:        %autorelease
Summary:        Object-oriented JSONSchema

License:        Apache-2.0
URL:            https://github.com/p1c2u/%{srcname}
# The GitHub archive has the tests; the PyPI sdist does not.
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(responses)

%global _description %{expand:
A python library which provides traverse JSON resources like paths and
access resources on demand with separate dereferencing accessor layer.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^--cov[-=]/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Sun Jan 26 2025 Mattia Verga <mattia.verga@proton.me> - 0.3.4-1
- Update to 0.3.4 (fedora#2341965)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Mattia Verga <mattia.verga@proton.me> - 0.3.3-1
- Update to 0.3.3 (fedora#2294230)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.3.2-5
- Rebuilt for Python 3.13

* Thu Apr 25 2024 Mattia Verga <mattia.verga@proton.me> - 0.3.2-4
- Relax python-referencing version requirement

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 18 2023 Mattia Verga <mattia.verga@proton.me> - 0.3.2-1
- Update to 0.3.2

* Mon Nov 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-2
- Do not Obsolete python3-jsonschema-spec

* Thu Oct 19 2023 Mattia Verga <mattia.verga@proton.me> - 0.3.1-1
- Initial release (fedora#2244182)
## END: Generated by rpmautospec
